##  for PCLinuxOS  ##

%define  ver  2.001
%define  rel  1.nora19

%define  _fontdir  %{_datadir}/fonts/OTF/japanese-SourceHanSansJP

Name:     fonts-otf-japanese-SourceHanSansJP
Summary:  Source Han Sans Japanese font (Subset OTF)
Summary(ja):  源ノ角ゴシック フォント (Subset OTF)
Version:  %{ver}
Release:  %{rel}
License:  SIL Open Font License 1.1
Group:    System/Fonts/Open type
URL:      https://github.com/adobe-fonts/source-han-sans
Source0:  https://github.com/adobe-fonts/source-han-sans/tree/release/SubsetOTF/SourceHanSansJP.zip

BuildArch:  noarch
BuildRequires:  unzip

%description
Source Han Sans is a sans serif Pan-CJK font family that is offered in seven weights—ExtraLight, Light, Normal, Regular, Medium, Bold, and Heavy—and in several OpenType/CFF-based deployment configurations to accommodate various system requirements or limitations.
As the name suggests, Pan-CJK fonts are intended to support the characters necessary to render or display text in Simplified Chinese, Traditional Chinese, Japanese, and Korean.

This package contain Source Han Sans Japanese Subset OTF font.

%description -l ja
Source Han Sans フォントファミリーは、Adobe と Google および（株）イワタなどとの共同開発による OpenType 形式のフォントです。

このパッケージでは、Source Han Sans 日本語フォントの Subset OTF 版を提供します。
なお各アプリケーション上でのこのフォントの日本語による名称表示は、「源ノ角ゴシック」となります。


%prep
%setup -q -n SourceHanSansJP


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -m 644 SourceHanSansJP-*.otf $RPM_BUILD_ROOT%{_fontdir}
install -m 644 LICENSE.txt $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/otf-japanese-SourceHanSansJP:pri=50


%files
%defattr(-,root,root)
%{_fontdir}/*
%{_sysconfdir}/X11/fontpath.d/otf-japanese-SourceHanSansJP:pri=50


%changelog
* Fri Apr 26 2019 tomcat <> 2.001-1
- update to 2.001

* Tue Nov 20 2018 tomcat <> 2.000-1
- update to 2.000

* Tue Apr 04 2017 tomcat <> 1.004-3
- use Subset OTF version
- drop Source2
- update %%description

* Fri Dec 04 2015 tomcat <> 1.004-2
- fix release suffix

* Sun Jun 21 2015 tomcat <> 1.004-1
- update to 1.004

* Thu Jun 11 2015 tomcat <> 1.003-1
- update to 1.003
- drop Source1
- add Source2 (SourceHanSansReadMe.pdf)

* Fri Jun 05 2015 tomcat <> 1.002-1
- update to 1.002
- change License from Apache License 2.0 to SIL Open Font
License 1.1
- change URL

* Thu Jul 17 2014 tomcat <> 1.000-1
- initial build for PCLinuxOS
